Bug 109953 - 100% CPU when accessing /proc/acpi/battery/CMB0/info
100% CPU when accessing /proc/acpi/battery/CMB0/info
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-13 07:10 EST by Paco Avila
Modified: 2015-01-04 17:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paco Avila 2003-11-13 07:10:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.4.1)
Gecko/20031030 Epiphany/1.0.4

Description of problem:
In my Compaq Presario 1722 with "acpi=on" and "pci=noacpi" if I do:

cat /proc/acpi/battery/CMB0/info

The systems hangs during a quater of second with a 100% CPU
occupation. After this, the system function properly.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cat /proc/acpi/battery/CMB0/info


Actual Results:  Ths system hangs during a fraction of second.

Expected Results:  The system should be fine.

Additional info:

Due to this issue I can't run Gnome Battery Applet because this
program access this file very often and the CPU is always at 100% of
usage.
Comment 1 VSW 2003-12-01 11:23:56 EST
On Compaq Presario 1505US Laptop.
ACPI functional, does not properly detect battery status.
Cut of dmesg:

ACPI: Battery Slot [C11E] (battery absent)

Up a bit::

ACPI: Subsystem revision 20031002
PCI: BIOS32 entry (0xc00f0000) in high memory, cannot use.
PCI: Using configuration type 1
    ACPI-1120: *** Error: Method execution failed
[\_SB_.C03B.C04E.C0CF.C0D3] (Node dff891c0),AE_NOT_EXIST
    ACPI-1120: *** Error: Method execution failed
[\_SB_.C03B.C04E.C0CF._INI] (Node dff87340),AE_NOT_EXIST
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: System [ACPI] (supports S0 S3 S4 S5)
    ACPI-1120: *** Error: Method execution failed [\_SB_.C03B.C047]
(Node dffc2e00), AE_AML_BUFFER_LIMIT
    ACPI-1120: *** Error: Method execution failed [\_SB_.C03B.C04B]
(Node dffc2e40), AE_AML_BUFFER_LIMIT
    ACPI-1120: *** Error: Method execution failed [\_SB_.C03B._CRS]
(Node dffc2e80), AE_AML_BUFFER_LIMIT
    ACPI-0098: *** Error: Method execution failed [\_SB_.C03B._CRS]
(Node dffc2e80), AE_AML_BUFFER_LIMIT
ACPI: PCI Root Bridge [C03B] (00:00)
PCI: Probing PCI hardware (bus 00)
PCI: Ignoring BAR0-3 of IDE controller 00:1f.1
Transparent bridge - Intel Corp. 82801BAM/CAM PCI Bridge
ACPI: PCI Interrupt Routing Table [\_SB_.C03B._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.C03B.C03C._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.C03B.C04D._PRT]
ACPI: Embedded Controller [C0CF] (gpe 29)
ACPI: Power Resource [C142] (off)
ACPI: Power Resource [C156] (off)
ACPI: Power Resource [C15A] (off)
ACPI: Power Resource [C15E] (off)
ACPI: Power Resource [C167] (on)
ACPI: PCI Interrupt Link [C0B5] (IRQs 5 10 *11)
ACPI: PCI Interrupt Link [C0B6] (IRQs *5 10 11)
ACPI: PCI Interrupt Link [C0B7] (IRQs 5 10 *11)
ACPI: PCI Interrupt Link [C0B8] (IRQs 5 10 *11)
ACPI: PCI Interrupt Link [C0B9] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [C0BA] (IRQs)
ACPI: PCI Interrupt Link [C0BB] (IRQs)
ACPI: PCI Interrupt Link [C0BC] (IRQs)
ACPI: Power Resource [C0CE] (on)
ACPI: Power Resource [C1D3] (off)
ACPI: Power Resource [C1D4] (off)
ACPI: Power Resource [C1D5] (off)
ACPI: Power Resource [C1D6] (off)
ACPI: Power Resource [C1E1] (off)
ACPI: Power Resource [C1E2] (off)
ACPI: Power Resource [C1E3] (off)
PCI: Probing PCI hardware
ACPI: PCI Interrupt Link [C0B7] enabled at IRQ 11
00:00:1f[A] -> IRQ 11 Mode 1 Trigger 1
ACPI: PCI Interrupt Link [C0B6] enabled at IRQ 5
00:00:1f[B] -> IRQ 5 Mode 1 Trigger 1
ACPI: PCI Interrupt Link [C0B5] enabled at IRQ 11
PIC: IRQ (11) already programmed
PIC: IRQ (5) already programmed
PIC: IRQ (5) already programmed
PIC: IRQ (11) already programmed
ACPI: PCI Interrupt Link [C0B8] enabled at IRQ 11
PIC: IRQ (11) already programmed
ACPI: PCI Interrupt Link [C0B9] enabled at IRQ 10
00:02:08[A] -> IRQ 10 Mode 1 Trigger 1
PIC: IRQ (10) already programmed
PIC: IRQ (10) already programmed
PIC: IRQ (10) already programmed
PCI: Using ACPI for IRQ routing


Comment 2 Len Brown 2004-03-24 03:20:24 EST
>     ACPI-1120: *** Error: Method execution failed
> [\_SB_.C03B.C04E.C0CF.C0D3] (Node dff891c0),AE_NOT_EXIST

>    ACPI-1120: *** Error: Method execution failed [\_SB_.C03B.C047]
>(Node dffc2e00), AE_AML_BUFFER_LIMIT

Can you check if these go away with a recent kernel?

thanks,
-Len
Comment 3 David Lawrence 2004-09-29 15:40:09 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.